DOVEADM-QUOTA(1)

NAME
doveadm-quota - Initialize/recalculate or show current quota usage

SYNOPSIS
doveadm [-Dv] [-f formatter] quota [-S socket_path] command
doveadm [-Dv] [-f formatter] quota [-S socket_path] command -A
doveadm [-Dv] [-f formatter] quota [-S socket_path] command -F file
doveadm [-Dv] [-f formatter] quota [-S socket_path] command -u user

DESCRIPTION
In the first form, doveadm(1) will execute the command for the currently logged in user.

In the second form, the command will be performed for all users.

In the third form, the command will be performed for all users listed in the given file.

In the fourth form, the command will affect only the matching user(s).

Note:
    The quota get and quota recalc commands are only available when the global mail_plugins setting contains the quota plugin.

OPTIONS
Global doveadm(1) options:

-D  Enables verbosity and debug messages.

-f formatter
    Specifies the formatter for formatting the output. Supported formatters are:

    flow
        prints each line with key=value pairs.

    pager
        prints each key: value pair on its own line and separates records with form feed character (^L).

    tab prints a table header followed by tab separated value lines.

    table
        prints a table header followed by adjusted value lines.

-o setting=value
    Overrides the configuration setting from /etc/dovecot/dovecot.conf and from the userdb with the given value. In order to override multiple settings, the -o option may be specified multiple times.

-v  Enables verbosity, including progress counter.

Command specific options:

-A  If the -A option is present, the command will be performed for all users. Using this option in combination with system users from userdb { driver = passwd } is not recommended, because it contains also users with a lower UID than the one configured with the first_valid_uid setting.

    When the SQL userdb module is used make sure that the iterate_query setting in /etc/dovecot/dovecot-sql.conf.ext matches your database layout. When using the LDAP userdb module, make sure that the iterate_attrs and iterate_filter settings in /etc/dovecot/dovecot-ldap.conf.ext match your LDAP schema. Otherwise doveadm(1) will be unable to iterate over all users.

-F file
    Execute the command for all the users in the file. This is similar to the -A option, but instead of getting the list of users from the userdb, they are read from the given file. The file contains one username per line.

-S socket_path
    The option's argument is either an absolute path to a local UNIX domain socket, or a hostname and port (hostname:port), in order to connect a remote host via a TCP socket.

    This allows an administrator to execute doveadm(1) mail commands through the given socket.

-u user/mask
    Run the command only for the given user. It's also possible to use '*' and '?' wildcards (e.g. -u *@example.org).
    When neither the -A option, nor the -F file option, nor the -u user was specified, the command will be executed with the environment of the currently logged in user.

COMMANDS

  quota get
doveadm [-f formatter] quota get [-A|-u user|-F file]

The quota get command is used to display the current quota usage. The storage values are reported in kilobytes.

This command uses by default the output formatter table.

  quota recalc
doveadm quota recalc [-A|-u user|-F file]

The quota recalc command is used to recalculate the current quota usage.

FILES

/etc/dovecot/dovecot.conf
    Dovecot's main configuration file, including the dict section.

/etc/dovecot/dovecot-dict-sql.conf.ext
    SQL dictionary proxy settings.

/etc/dovecot/conf.d/10-mail.conf
    Mailbox locations and namespaces, including global mail_location

/etc/dovecot/conf.d/90-quota.conf
    Quota configuration.

EXAMPLE
Get the current quota usage of user jane.

doveadm quota get -u jane
Quota name                        Type    Value  Limit  %
user                              STORAGE 90099 102400 87
user                              MESSAGE 20548  30000 68

REPORTING BUGS
Report bugs, including doveconf -n output, to the Dovecot Mailing List <dovecot@dovecot.org>. Information about reporting bugs is available at: http://dovecot.org/bugreport.html

SEE ALSO
doveadm(1)